package link;

import structure.*;

public class EchoLinkArrivalRecord implements StructuredObject
{
   public int destinationOffset;
   public LinkPacket packet;

   public void FoldInStructure (StructuredStorage s)
   {
      destinationOffset = s.GetInt ("destinationOffset");
      packet = (LinkPacket) s.GetObject ("packet");
   }

   public void FoldOutStructure (StructuredStorage s)
   {
      s.SetInt ("destinationOffset", destinationOffset);
      s.SetObject ("packet", packet);
   }
}

