package network;

import structure.*;

public class LinkStateItem implements StructuredObject
{
  public LinkStateItem ()
  {
  }
  
  public String destName;
  public double bandwidth;
  
  public void FoldInStructure (StructuredStorage s)
  {
    destName = s.GetString ("destName");
    bandwidth = s.GetDouble ("bandwidth");
  }
  
  public void FoldOutStructure (StructuredStorage s)
  {
    s.SetString ("destName", destName);
    s.SetDouble ("bandwidth", bandwidth);
  }
}

